arithmetic.cpp File Reference
`#include <gecode/float/arithmetic.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

void | Gecode::abs (Home home, FloatVar x0, FloatVar x1)
| Post propagator for .
void | Gecode::max (Home home, FloatVar x0, FloatVar x1, FloatVar x2)
| Post propagator for .
void | Gecode::max (Home home, const FloatVarArgs &x, FloatVar y)
| Post propagator for If x is empty, an exception of type Float::TooFewArguments is thrown.
void | Gecode::min (Home home, FloatVar x0, FloatVar x1, FloatVar x2)
| Post propagator for .
void | Gecode::min (Home home, const FloatVarArgs &x, FloatVar y)
| Post propagator for If x is empty, an exception of type Float::TooFewArguments is thrown.
void | Gecode::mult (Home home, FloatVar x0, FloatVar x1, FloatVar x2)
| Post propagator for .
void | Gecode::sqr (Home home, FloatVar x0, FloatVar x1)
| Post propagator for .
void | Gecode::sqrt (Home home, FloatVar x0, FloatVar x1)
| Post propagator for .
void | Gecode::pow (Home home, FloatVar x0, int n, FloatVar x1)
| Post propagator for for $n\geq 0$.
void | Gecode::nroot (Home home, FloatVar x0, int n, FloatVar x1)
| Post propagator for for $n\geq 0$.
void | Gecode::div (Home home, FloatVar x0, FloatVar x1, FloatVar x2)
| Post propagator for .